%define major 4
%define libname %mklibname gif %{major}
%define libungif %mklibname ungif %{major}
%define devname %mklibname gif -d

Summary:	Compatibility library for applications using an older version of giflib
Name:		giflib4
Version:	4.2.3
Release:	2
License:	BSD
Group:		System/Libraries
Url:		http://giflib.sourceforge.net/
Source0:	http://switch.dl.sourceforge.net/project/giflib/giflib-4.x/giflib-%{version}.tar.bz2
Patch1:		giflib-4.1.6-fix-link.patch
Patch2:		giflib-4.2.1-automake-1.13.patch
BuildRequires:	xmlto
BuildRequires:	pkgconfig(x11)

%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides an older version of giflib for compatibility.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for reading and writing gif images (old version)
Group:		System/Libraries

%description -n %{libname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides an older version of giflib for compatibility.

%files -n %{libname}
%{_libdir}/libgif.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libungif}
Summary:	Library for reading and writing gif images (old version)
Group:		System/Libraries
Conflicts:	%{_lib}gif4 < 4.1.6-12

%description -n %{libungif}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides an older version of giflib for compatibility.

%files -n %{libungif}
%{_libdir}/libungif.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -q -n giflib-%{version}
%patch1 -p0
%patch2 -p1 -b .am13~
autoreconf -fi

%build
%configure2_5x \
	--disable-static

%make

# Handling of libungif compatibility
MAJOR=`echo '%{version}' | sed -e 's/\([0-9]\+\)\..*/\1/'`
%__cc %{ldflags} %{optflags} -shared -Wl,-soname,libungif.so.$MAJOR -Llib/.libs -lgif -o libungif.so.%{version}

%install
%makeinstall_std

# Handling of libungif compatibility
install -p -m 755 libungif.so.%{version} %{buildroot}%{_libdir}
ln -sf libungif.so.%{version} %{buildroot}%{_libdir}/libungif.so.4
ln -sf libungif.so.4 %{buildroot}%{_libdir}/libungif.so

# Remove anything but the library - people should get the tools and development
# files from giflib 5.x
rm -rf %{buildroot}%{_bindir} %{buildroot}%{_includedir} %{buildroot}%{_libdir}/*.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.2.3-2
+ Revision: af7c483
- MassBuild#440: Increase release tag


